<?php

/*
Plugin Name: Onlinebildergalerie Formular
Plugin URI: https://www.onlinebildergalerie-pro.de
Description: Fügt das Alben Formular auf der Seite ein.
Author: Kai Schultka
Version: 1.0
Author URI: https://www.kai-schultka.de
*/
function obg_register_styles() {
    wp_register_style('obg-style-css', plugin_dir_url( __FILE__ ).'css/style.css');
	wp_register_style('obg-custom-css', plugin_dir_url( __FILE__ ).'css/custom.css');
}
function obg_register_scripts() {
    wp_register_script('jq-validate', plugin_dir_url( __FILE__ ).'js/jquery.validate.min.js', array('jquery'), '1.11.0');
	wp_register_script('js-script',  plugin_dir_url( __FILE__ ).'js/script.js');
}
add_action('wp_enqueue_scripts', 'obg_register_styles');
add_action('wp_enqueue_scripts', 'obg_register_scripts');



	
	
class wp_obg_form_widget extends WP_Widget {

	// constructor
	function wp_obg_form_widget() {
	        parent::WP_Widget(false, $name = __('Onlinbildergalerie Formular', 'wp_widget_plugin') );
    
	}

	// widget form creation
	function form($instance) {
	
	// Check values
		if( $instance) {
			 $title = esc_attr($instance['title']);
			 $textbefore = $instance['textbefore'];
			 $textafter = $instance['textafter'];
			 $formurl = $instance['formurl'];
			 $formbutton = $instance['formbutton'];
			 $formcss = $instance['formcss'];
			 $formjs = $instance['formjs'];
			 
			} else {
			 $title = '';
			 $textbefore = '';
			 $textafter = '';
			 $formurl = '';
			 $formbutton = '';
			  $formcss = '';
			 $formjs = '';
		}
	?>
	
        <p>
        <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title', 'wp_widget_plugin'); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
        </p>
        <p>
        <label for="<?php echo $this->get_field_id('textbefore'); ?>"><?php _e('Text vor Eingabfeld:', 'wp_widget_plugin'); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id('textbefore'); ?>" name="<?php echo $this->get_field_name('textbefore'); ?>" value="<?php echo $textbefore; ?>" >
        </p>
        
        <p>
        <label for="<?php echo $this->get_field_id('textafter'); ?>"><?php _e('Text nach Eingabfeld:', 'wp_widget_plugin'); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id('textafter'); ?>" name="<?php echo $this->get_field_name('textafter'); ?>" value="<?php echo $textafter; ?>" >
        </p>
        
        <p>
        <label for="<?php echo $this->get_field_id('formurl'); ?>"><?php _e('URL zur Galerie mit Slash am Ende/', 'wp_widget_plugin'); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id('formurl'); ?>" name="<?php echo $this->get_field_name('formurl'); ?>" value="<?php echo $formurl; ?>" >
        </p>
        
        <p>
        <label for="<?php echo $this->get_field_id('formbutton'); ?>"><?php _e('Button Text:', 'wp_widget_plugin'); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id('formbutton'); ?>" name="<?php echo $this->get_field_name('formbutton'); ?>" value="<?php echo $formbutton; ?>" >
        </p>
        
        <p>
        <label for="<?php echo $this->get_field_id('formcss'); ?>"><?php _e('CSS einbinden:', 'wp_widget_plugin'); ?></label>
        <select name="<?php echo $this->get_field_name('formcss'); ?>" id="<?php echo $this->get_field_id('formcss'); ?>">
        <option value="1" <?php if ($formcss == "1") {echo ' selected="selected"';} ?>><?php _e('Ja', 'wp_widget_plugin'); ?></option>
        <option value="0" <?php if ($formcss == "0") {echo ' selected="selected"';} ?>><?php _e('Nein', 'wp_widget_plugin'); ?></option>
        </select>
        </p>
        <p>
        <label for="<?php echo $this->get_field_id('formjs'); ?>"><?php _e('12 Zeichen Validierung:', 'wp_widget_plugin'); ?></label>
        <select name="<?php echo $this->get_field_name('formjs'); ?>" id="<?php echo $this->get_field_id('formjs'); ?>">
        <option value="1" <?php if ($formjs == "1") {echo ' selected="selected"';} ?>><?php _e('Ja', 'wp_widget_plugin'); ?></option>
        <option value="0" <?php if ($formjs == "0") {echo ' selected="selected"';} ?>><?php _e('Nein', 'wp_widget_plugin'); ?></option>
        </select>
        </p>
	
<?php
		}

	
	function update($new_instance, $old_instance) {
		  $instance = $old_instance;
		  // Fields
		  $instance['title'] = strip_tags($new_instance['title']);
		  $instance['textbefore'] = strip_tags($new_instance['textbefore']);
		  $instance['textafter'] = strip_tags($new_instance['textafter']);
		  $instance['formurl'] = strip_tags($new_instance['formurl']);
		  $instance['formbutton'] = strip_tags($new_instance['formbutton']);
		  $instance['formcss'] = strip_tags($new_instance['formcss']);
		  $instance['formjs'] = strip_tags($new_instance['formjs']);
		 return $instance;
	}
	

   // display widget
	function widget($args, $instance) {
	   extract( $args );
		   
	   // these are the widget options
	   $title = apply_filters('widget_title', $instance['title']);
		  $textbefore = $instance['textbefore'];
		 $textafter = $instance['textafter'];
		 $formurl = $instance['formurl'];
		 $formbutton = $instance['formbutton'];
		  $formcss = $instance['formcss'];
		 $formjs = $instance['formjs'];
		 
		 if ( $formcss == "1" ) {
			 
		wp_enqueue_style( 'obg-style-css');
		wp_enqueue_style( 'obg-custom-css');	
		
		 }
		 if ( $formjs == "1" ) {
		wp_enqueue_script('jq-validate');
		wp_enqueue_script('js-script');
		 }
		 
		 
	   echo $before_widget;
	  
	  // Display the widget
	   echo '<div class="obg-pro-formular wp_widget_plugin_box" style="width:auto; height:auto; padding:5px 9px 20px 5px;  border-radius: 5px; margin: 10px 0 25px 0;">';
	   
	   
	   // Check if title is set
	   if ( $title ) {
			echo '<div class="widget-title" style="width: 90%; height:30px; margin-left:3%; ">';
		  echo  $before_title . $title . $after_title ;
	  echo '</div>';
	   }
	
	   if( $formurl ) {
	  // Check if textarea is set
	  echo  '<div class="gallerykey">'
			.'<form method="get" action="'.$formurl.'fotos.php" id="openalbum" target="_blank">'
			.'<p>'.$textbefore.'</p>'
			.'<input type="text" id="albumkey" name="albumkey" maxlength="12" class="left">'
			.'<input type="submit" value="'.$formbutton.'" class="left">'
			.'<div class="clear" id="vdmessage"></div>'
			.'<p>'.$textafter.'</p>'
			.'</form>'
			.'</div>';
	   }
	   
	   echo '</div>';
	   
	   echo $after_widget;
	}
}

// register widget
	
add_action('widgets_init', create_function('', 'return register_widget("wp_obg_form_widget");')); 

?>